#if !defined(AFX_ADDINSETUPDLG_H__B4D67914_F739_45AA_8164_AD1D7B73A205__INCLUDED_)
#define AFX_ADDINSETUPDLG_H__B4D67914_F739_45AA_8164_AD1D7B73A205__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddInSetupDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddInSetupDlg dialog
#include "CommonClasses.h"
#include "aplPluginItem.h"
#include "resource.h"



class CAddInSetupDlg : public CaplResizableDialog
{
// Construction
public:
	static CString GetTypeName(UINT type);
	CaplAddinViews m_views;
	bool FindAddin(CString path);
	CString ReplaceType(CString tname);
	bool m_show_all;
	CString GetMenuPath(CString menu);
	bool LoadPlugins();
	CAddInSetupDlg(CWnd* pParent = NULL);   // standard constructor
//	CFunctionListBox m_FList;

	CString m_exe_path;


// Dialog Data
	//{{AFX_DATA(CAddInSetupDlg)
	enum { IDD = IDD_SETUP_ADDIN };
	CEdit	m_view_descr_ctrl;
	CCheckListBox	m_view_list;
	CTabCtrl	m_Tab_ctrl;
	CButton	m_properties;
	CButton	m_del_btn;
	CaplButton	m_cancel_btn;
	CEdit	m_ctrlFDescr;
	CEdit	m_ctrlDescr;
	CButton	m_ctrlEnDis;
//D	CListBox	m_ctrlPList;
	CListCtrl	m_ctrlPList;
	CCheckListBox	m_ctrlFList;
	CString	m_view_descr;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddInSetupDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddInSetupDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddPlugin();
	afx_msg void OnSelchangePluginList();
	afx_msg void OnDelete();
	afx_msg void OnSelchangeFunctionList();
	afx_msg void OnDisable();
	afx_msg void OnEnable();
	afx_msg void OnShowAll();
	virtual void OnCancel();
	afx_msg void OnAddinProp();
	afx_msg void OnSelchangeViewList();
	afx_msg void OnSelchangeAddinTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFindPlugins();
	afx_msg void OnItemchangedPluginList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickPluginList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDINSETUPDLG_H__B4D67914_F739_45AA_8164_AD1D7B73A205__INCLUDED_)
